stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
stdex::sha1_hash Class Reference

Hashes as SHA1. More...

`#include <stdex/hash.hpp>`

Inheritance diagram for stdex::sha1_hash:

## Public Member Functions
virtual void | clear ()
| Initializes hash value and internal state.
virtual void | finalize ()
| Finalizes hash value.
Public Member Functions inherited from stdex::block_hash< sha1_t >
virtual void | hash (_In_reads_bytes_opt_(length) const void *data, size_t length)
| Hashes block of data.
Public Member Functions inherited from stdex::basic_hash< sha1_t >
const sha1_t & | data ()
| Returns hash value.
| operator const sha1_t & () const
| Returns hash value.

## Protected Member Functions
virtual void | hash_block ()
Protected Member Functions inherited from stdex::block_hash< sha1_t >

## Protected Attributes
uint32_t | m_state [5]
Protected Attributes inherited from stdex::block_hash< sha1_t >
uint32_t | m_counter [2]
union { |
uint8_t m_queue [64] |
uint32_t m_temp [16] |
}; |  |
Protected Attributes inherited from stdex::basic_hash< sha1_t >
sha1_t | m_value

## Additional Inherited Members
Static Public Member Functions inherited from stdex::basic_hash< sha1_t >
static size_t | size ()
| Returns size of the hash value in bytes.
Public Attributes inherited from stdex::block_hash< sha1_t >
uint8_t | m_queue [64]
uint32_t | m_temp [16]

## Detailed Description

Hashes as SHA1.

## Member Function Documentation

## ◆ clear()

virtual void stdex::sha1_hash::clear | ( |  | ) |
| inline virtual

Initializes hash value and internal state.

Reimplemented from stdex::block_hash< sha1_t >.

## ◆ finalize()

virtual void stdex::sha1_hash::finalize | ( |  | ) |
| inline virtual

Finalizes hash value.

Implements stdex::basic_hash< sha1_t >.

## ◆ hash_block()

virtual void stdex::sha1_hash::hash_block | ( |  | ) |
| inline protected virtual

Implements stdex::block_hash< sha1_t >.

The documentation for this class was generated from the following file:

- include/stdex/hash.hpp